New issue
Advanced search Search tips
Note: Color blocks (like or ) mean that a user may not be available. Tooltip shows the reason.
Starred by 58 users
Status: Fixed
Owner:
Last visit > 30 days ago
Closed: Jul 2012
Cc:
Components:
EstimatedDays: ----
NextAction: ----
OS: Linux
Pri: 2
Type: Bug

Blocking:
issue 135282

Restricted
  • Only users with EditIssue permission may comment.



Sign in to add a comment
Linux only: Unable to start up Chrome after updating to 20.0.1132.43
Reported by siedeen@chromium.org, Jun 27 2012 Back to list
Chrome Version       : 20.0.1132.43-r143823
Reported OS includes : Ubuntu 12.04, Ubuntu 10.04.4 LTS on i386, Fedora14, Fedora Core 16, CentOS 6.2, Zorin OS 6, Lubuntu 12.04

We've been receiving reports from Linux users in the Chrome Help Forum indicating that after updating to the latest Chrome Stable (20.0.1132.43), they are not able to launch Chrome.

One user reported seeing an error mentioning "Chrome is unable to load a shared object file called: "libbz2.so.1.0"". 
Other users who have updated to this Stable version report they do not see any errors when trying to launch Chrome; Chrome just doesn't launch.

Are there any logs that we can capture during startup that will help investigate this?

What steps will reproduce the problem?
1. Update to 20.0.1132.43 from corresponding Linux Update Manager
2. Try launching Chrome

What is the expected result?
Expect Chrome to launch normally.

What happens instead?
Chrome does not launch. Nothing happens.

Help forum reference: https://productforums.google.com/d/topic/chrome/UVGRyv50t0E/discussion
 
I have same issue in Linux Mint 11
Comment 2 by piper...@gmail.com, Jun 28 2012
Currently running Linux Mint 13, and the same problem occurred after MintUpdate installed 20.0.1132.43.  No errors, just nothing.  System Monitor shows two chrome processes are Sleeping and, when I kill them, they go into Zombie mode.
Comment 3 by Deleted ...@, Jun 28 2012
i run ubuntu 12.04 on my dell xps15 notebook and there appears the problem,too.
downstairs at desktop pc (very old, but normally runs xubuntu 12.04 very nice) the same problem.

what happened?! pls fix this issue. thanks.
Cc: vivianz@chromium.org anan...@chromium.org
Anantha/Vivian, are there logs that we can have users help capture to investigate this?
Comment 5 by mmoss@chromium.org, Jun 28 2012
Labels: -Internals-Install
At least one report says that removing the Flash plugin allows Chrome to start. If you are experiencing this, can you try:

sudo mv /opt/google/chrome/PepperFlash /opt/google/chrome/PepperFlash.bak
google-chrome


If that doesn't work, does this print anything:

LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/opt/google/chrome ldd /opt/google/chrome/chrome | grep "not found"
Comment 6 by mtthwl...@gmail.com, Jun 28 2012
OK, "sudo mv /opt/google/chrome/PepperFlash /opt/google/chrome/PepperFlash.bak" did work for me. Chrome launched and loaded webpages. Obviously, there is no Flash though.

Comment 7 by damik...@gmail.com, Jun 28 2012
Works here also, too bad no Flash now..
Comment 8 by mmoss@chromium.org, Jun 28 2012
Labels: -Area-Undefined Area-Internals
Status: Available
Also, please note whether you are experiencing this problem on a 32-bit or 64-bit distro, and if you can provide additional system information, particularly gpu and cpu details, that would be great.
Comment 9 by damik...@gmail.com, Jun 28 2012
Fedora 17 32-bit with Openbox, CPU - AMD Athlon 1600+, GPU - Geforce 4mx 440. :)
Lubuntu 12.04 32 bit. Kernel 3.2.0-25.40-generic 32bit x86. Intel Celeron 1.2 Ghz. Nvidia Geforce 6200 256 MB. 512 MB system ram.
Also Lubuntu is LXDE 0.5.0 and Openbox 3.5.
I added the following in the groups section:

I had the same problem on my Kubuntu 12.04.  Chrome would not start at all.  I have isolated the problem to the pepflashplayer.  I changed the name of libpepflashplayer.so to "libpepflashplayerXX.so", then copied the adobe flash player (libflashplayer.so)file to the PepperFlash directory.  Chrome will now start, of course the flash player doesn't work.

I have had trouble with adobe flash player in any version, whether from the Ubuntu repository, or downloaded from Adobe to work in any browser (FF, Opera, Chromium, and now Chrome).

As an aside, when I did get the repository Adobe flash player (v. 11.2.202.236 ubuntu 0.12.04.1)to work at all in Chromium, it would not work in Google Maps street view, with the error to upgrade to version 10 or greater.
Comment 13 by mmoss@chromium.org, Jun 28 2012
 Issue 135040  has been merged into this issue.
Comment 14 by mmoss@chromium.org, Jun 28 2012
 Issue 135036  has been merged into this issue.
Cc: cpu@chromium.org
+cpu, since it seems Flash related
Comment 16 by mmoss@chromium.org, Jun 28 2012
 Issue 134807  has been merged into this issue.
Comment 17 by mmoss@chromium.org, Jun 28 2012
Cc: viettrungluu@chromium.org
Based on the details so far, it's looking like an issue with older CPUs, possibly ones that don't support sse2 instructions. The Pepper Flash plugin probably won't support such systems, and we may just have to disable it if the necessary CPU capabilities aren't detected. For now, users who are experiencing this problem should run with the "--disable-bundled-ppapi-flash" flag.
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 6
model           : 8
model name      : AMD Athlon(tm) XP 2400+
stepping        : 1
cpu MHz         : 2000.134
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse
36 mmx fxsr sse syscall mmxext 3dnowext 3dnow up
bogomips        : 4000.26
clflush size    : 32
cache_alignment : 32
address sizes   : 34 bits physical, 32 bits virtual
power management: ts


01:00.0 VGA compatible controller: NVIDIA Corporation NV18 [GeForce4 MX 440 AGP 8x] (rev a2) (prog-if 00 [VGA controller])
        Subsystem: Micro-Star International Co., Ltd. Device 9170
        Flags: bus master, 66MHz, medium devsel, latency 32, IRQ 16
        Memory at de000000 (32-bit, non-prefetchable) [size=16M]
        Memory at d0000000 (32-bit, prefetchable) [size=128M]
        Expansion ROM at dfee0000 [disabled] [size=128K]
        Capabilities: [60] Power Management version 2
        Capabilities: [44] AGP version 3.0
        Kernel driver in use: nouveau
        Kernel modules: nouveau, nvidiafb 


Memory: 2 GiB

Kubuntu 12.04 Linux 3.2.0-24-generic
KDE SC Version 4.8.3
@mmoss

Ok, if that's the case then we need a retro version available, prior to the 6/26 update.  I don't think I have a saved download anywhere.
Same issue here in Fedora 17.
We users of old Athlon XP CPU's couldn't use the latest Flash plugin (version 10 they made available with security patches worked).
I (maybe others too) was relying on Chrome for Flash. It would be great if we could have our old timers supported in some way.
Otherwise we probably will have to resort to that legacy Flash 10 I mentioned.
BTW, if anyone's interested, Flash player's version are available at http://helpx.adobe.com/flash-player/kb/archived-flash-player-versions.html
I think version 10.3.183.20 will work with our CPU's (but if Chrome manages to have a workaround for us, better ;-)
I have a HP / AMD Athlon XP 2600+ CPU.

"sudo mv /opt/google/chrome/PepperFlash /opt/google/chrome/PepperFlash.bak
google-chrome" did work for me.

However, installing Flash player after the sudo command from http://helpx.adobe.com/flash-player/kb/archived-flash-player-versions.html did not.
Comment 23 by Deleted ...@, Jun 29 2012
Don't know if this is the same issue...

$ google-chrome
Gtk-Message: Failed to load module "pk-gtk-module"
Gtk-Message: Failed to load module "pk-gtk-module"
Gtk-Message: Failed to load module "pk-gtk-module"
Gtk-Message: Failed to load module "pk-gtk-module"
Gtk-Message: Failed to load module "pk-gtk-module"
Gtk-Message: Failed to load module "pk-gtk-module"
Gtk-Message: Failed to load module "pk-gtk-module"
Gtk-Message: Failed to load module "pk-gtk-module"
Gtk-Message: Failed to load module "pk-gtk-module"

Visit cnn.com or play a youtube.... AW Snap!


$ google-chrome --disable-bundled-ppapi-flash
Gtk-Message: Failed to load module "pk-gtk-module"
Gtk-Message: Failed to load module "pk-gtk-module"
Gtk-Message: Failed to load module "pk-gtk-module"
Gtk-Message: Failed to load module "pk-gtk-module"
Gtk-Message: Failed to load module "pk-gtk-module"
Gtk-Message: Failed to load module "pk-gtk-module"
Gtk-Message: Failed to load module "pk-gtk-module"
Gtk-Message: Failed to load module "pk-gtk-module"
Gtk-Message: Failed to load module "pk-gtk-module"
Gtk-Message: Failed to load module "pk-gtk-module"
Error: API mismatch: the NVIDIA kernel module has version 295.59,
but this NVIDIA driver component has version 285.05.09.  Please make
sure that the kernel module and all NVIDIA driver components
have the same version.

cnn.com and youtube videos work


Linux 3.4.3-1.fc17.x86_64 #1 SMP Mon Jun 18 19:53:17 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

[$ cat /proc/cpuinfo
processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 42
model name	: Intel(R) Core(TM) i7-2600K CPU @ 3.40GHz
stepping	: 7
microcode	: 0x28
cpu MHz		: 3392.110
cache size	: 8192 KB
physical id	: 0
siblings	: 8
core id		: 0
cpu cores	: 4
apicid		: 0
initial apicid	: 0
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc aperfmperf pni pclmulqdq dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 popcnt tsc_deadline_timer aes xsave avx lahf_lm ida arat epb xsaveopt pln pts dts tpr_shadow vnmi flexpriority ept vpid
bogomips	: 6784.22
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

At #22 and others, while this isn't fixed (either by Chrome automatically disabling the plugin or else) you have to install that Flash player version from Adobe and start Chrome with:
google-chrome --disable-bundled-ppapi-flash
(sorry to spam, just answering)
#23 your issue isn't this one. Ask at your distribution forum as it seems you have problems with your NVIDIA driver installation.
Comment 26 by mmoss@chromium.org, Jun 29 2012
 Issue 134861  has been merged into this issue.
"--disable-bundled-ppapi-flash" fixed the problem for me:
google-chrome --disable-bundled-ppapi-flash

$ cat /proc/cpuinfo 
processor	: 0
vendor_id	: AuthenticAMD
cpu family	: 6
model		: 10
model name	: AMD Athlon(tm) XP 3200+
stepping	: 0
cpu MHz		: 2205.019
cache size	: 512 KB
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 1
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 mmx fxsr sse syscall mmxext 3dnowext 3dnow up
bogomips	: 4410.03
clflush size	: 32
cache_alignment	: 32
address sizes	: 34 bits physical, 32 bits virtual
power management: ts

Comment 28 Deleted
Chrome opened but then crashed when I tried "google-chrome --disable-bundled-ppapi-flash". The next time, I didn't ask it to restore all my tabs, and it didn't crash. Now visiting Pandora.com, weather.com and old Yahoo mail doesn't crash Chrome - only Shockwave Flash crashes.

Ubuntu 12.04 LTS 
Memory: 1.9GB
Processor: AMD Athlon(tm) XP 1500+ 
Graphics: VESA: CR17 Board - cr17nz  
OS Type: 32-bit

uname -a
Linux my-desktop 3.2.0-26-generic #41-Ubuntu SMP Thu Jun 14 16:26:01 UTC 2012 i686 athlon i386 GNU/Linux

me@my-desktop:~$ google-chrome --disable-bundled-ppapi-flash
Xlib:  extension "GLX" missing on display ":0.0".
[5655:5655:1671453575:ERROR:gl_surface_glx.cc(60)] glxQueryVersion failed
[5655:5655:1671453978:ERROR:gl_surface_linux.cc(55)] GLSurfaceGLX::InitializeOneOff failed.
[9:9:1685802230:ERROR:webplugin_delegate_proxy.cc(353)] PluginMsg_Init returned false
[9:9:1685802995:ERROR:webplugin_impl.cc(269)] Couldn't initialize plug-in
[24:24:1699397533:ERROR:webplugin_delegate_proxy.cc(353)] PluginMsg_Init returned false
[24:24:1699400115:ERROR:webplugin_impl.cc(269)] Couldn't initialize plug-in
[24:24:1702728870:ERROR:webplugin_delegate_proxy.cc(353)] PluginMsg_Init returned false
[24:24:1702729844:ERROR:webplugin_impl.cc(269)] Couldn't initialize plug-in

(google-chrome:5532): Pango-CRITICAL **: pango_font_description_set_size: assertion `size >= 0' failed
le/chrome/chrome --disable-bundled-ppapi-flash: /build/buildd/cairo-1.10.2/src/cairo-surface.c:1287: cairo_surface_set_device_offset: Assertion `status == CAIRO_STATUS_SUCCESS' failed.
Aborted (core dumped)
me@my-desktop:~$ 

Comment 30 by Deleted ...@, Jun 30 2012
Hi,
Same issue for me with the latest Chrome 20.0.1132.47 on Mageia 2.
Chrome launch with the "--disable-bundled-ppapi-flash" option.

My cpu info :

processor	: 0
vendor_id	: AuthenticAMD
cpu family	: 6
model		: 6
model name	: AMD Athlon(tm) XP 2000+
stepping	: 2
cpu MHz		: 1667.123
cache size	: 256 KB
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 1
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 mmx fxsr sse syscall mmxext 3dnowext 3dnow up
bogomips	: 3334.24
clflush size	: 32
cache_alignment	: 32
address sizes	: 34 bits physical, 32 bits virtual
power management: ts

Maybe for us Chrome would have to detect the full Flash player version (e.g. 10.3.183.20 instead of just 10.3.183) so it would know it's a security patched version and won't offer to update it (the latest version doesn't work for us).
Same problem here.

Lubuntu 12.04

$ uname -a
Linux desktop 3.2.0-26-generic #41-Ubuntu SMP Thu Jun 14 16:26:01 UTC 2012 i686 athlon i386 GNU/Linux

$ cat /proc/cpuinfo
processor	: 0
vendor_id	: AuthenticAMD
cpu family	: 6
model		: 8
model name	: AMD Sempron(TM) 2800+
stepping	: 1
cpu MHz		: 1999.708
cache size	: 256 KB
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 1
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 mmx fxsr sse syscall mp mmxext 3dnowext 3dnow up
bogomips	: 3999.41
clflush size	: 32
cache_alignment	: 32
address sizes	: 34 bits physical, 32 bits virtual
power management: ts

OS: Ubuntu 10.04 (Lucid) 
cpu: is AMD Athlon XP3000+
gpu: VIA UniChrome. 

I'm also having the same problem. I try to run chrome and nothing happen. System monitor says it's "sleeping". 

This may be irrelevant, but this is what I got when I ran "google-chrome --disable-bundled-ppapi-flash", though I should note that chrome did start up (with flash not working)

sketchman3@sketchman3-desktop:~$ google-chrome --disable-bundled-ppapi-flash
libprotobuf ERROR third_party/protobuf/src/google/protobuf/message_lite.cc:123] Can't parse message of type "in_memory_url_index.InMemoryURLIndexCacheItem" because it is missing required fields: (cannot determine missing fields for lite message)
[7169:7169:24710423905:ERROR:gl_surface_glx.cc(65)] GLX 1.3 or later is required.
[7169:7169:24710424124:ERROR:gl_surface_linux.cc(55)] GLSurfaceGLX::InitializeOneOff failed.
[22:22:24715163961:ERROR:webplugin_delegate_proxy.cc(353)] PluginMsg_Init returned false
[22:22:24715212111:ERROR:webplugin_impl.cc(269)] Couldn't initialize plug-in
[22:22:24720195871:ERROR:webplugin_delegate_proxy.cc(353)] PluginMsg_Init returned false
[22:22:24720195985:ERROR:webplugin_impl.cc(269)] Couldn't initialize plug-in
[22:22:24723340534:ERROR:webplugin_delegate_proxy.cc(353)] PluginMsg_Init returned false
[22:22:24723340627:ERROR:webplugin_impl.cc(269)] Couldn't initialize plug-in
[22:22:24757512509:ERROR:webplugin_delegate_proxy.cc(353)] PluginMsg_Init returned false
[22:22:24757512611:ERROR:webplugin_impl.cc(269)] Couldn't initialize plug-in
[22:22:24757515959:ERROR:webplugin_delegate_proxy.cc(292)] Plug-in crashed on start
[22:22:24757565392:ERROR:webplugin_delegate_proxy.cc(292)] Plug-in crashed on start
[22:22:24757566775:ERROR:webplugin_delegate_proxy.cc(292)] Plug-in crashed on start
[22:22:24757567686:ERROR:webplugin_delegate_proxy.cc(292)] Plug-in crashed on start
[22:22:24765293956:ERROR:webplugin_delegate_proxy.cc(353)] PluginMsg_Init returned false
[22:22:24765294054:ERROR:webplugin_impl.cc(269)] Couldn't initialize plug-in
[22:22:24766565029:ERROR:webplugin_delegate_proxy.cc(353)] PluginMsg_Init returned false
[22:22:24766565125:ERROR:webplugin_impl.cc(269)] Couldn't initialize plug-in
[22:22:24768745427:ERROR:webplugin_delegate_proxy.cc(353)] PluginMsg_Init returned false
[22:22:24768745528:ERROR:webplugin_impl.cc(269)] Couldn't initialize plug-in
[19:19:24834778654:ERROR:webplugin_delegate_proxy.cc(353)] PluginMsg_Init returned false
[19:19:24834778873:ERROR:webplugin_impl.cc(269)] Couldn't initialize plug-in
[19:19:24836497883:ERROR:webplugin_delegate_proxy.cc(353)] PluginMsg_Init returned false
[19:19:24836497994:ERROR:webplugin_impl.cc(269)] Couldn't initialize plug-in
[19:19:24842972549:ERROR:webplugin_delegate_proxy.cc(353)] PluginMsg_Init returned false
[19:19:24842972639:ERROR:webplugin_impl.cc(269)] Couldn't initialize plug-in
[25:25:25104055237:ERROR:webplugin_delegate_proxy.cc(353)] PluginMsg_Init returned false
[25:25:25104055458:ERROR:webplugin_impl.cc(269)] Couldn't initialize plug-in
[37:37:25111813341:ERROR:webplugin_delegate_proxy.cc(353)] PluginMsg_Init returned false
[37:37:25111813584:ERROR:webplugin_impl.cc(269)] Couldn't initialize plug-in
[22:22:25114497513:ERROR:webplugin_delegate_proxy.cc(353)] PluginMsg_Init returned false
[22:22:25114497617:ERROR:webplugin_impl.cc(269)] Couldn't initialize plug-in


Kind of stinks that I have to disable flash to get it up and running, because Flash is the only reason I started using chrome in the first place.

Hope you get this worked out. In the meantime, thankfully I have a copy of version 19 in my apt archives. Time to regress... and create a new profile since apparently profiles aren't backward compatible.
Same problem with no currently available version of Chrome working (tried stable, beta and unstable on Ubuntu 12.04 LTS.

cat /proc/cpuinfo

processor	: 0
vendor_id	: AuthenticAMD
cpu family	: 6
model		: 8
model name	: AMD Duron(tm) processor
stepping	: 1
cpu MHz		: 1794.930
cache size	: 64 KB
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 1
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 mtrr pge mca cmov pat pse36 mmx fxsr sse syscall mmxext 3dnowext 3dnow up
bogomips	: 3589.86
clflush size	: 32
cache_alignment	: 32
address sizes	: 34 bits physical, 32 bits virtual
power management: ts


Is there any indication that this is being worked on at all? My update manager is mocking me with "There is 1 update available" with the non-working version to update to.
Comment 36 by Deleted ...@, Jul 2 2012
"--disable-bundled-ppapi-flash" does not help.
Ubuntu 10.04 64 bit with "CPU Intel(R) Core(TM) i7-2760QM CPU @ 2.40GHz".

ps showed:

$ ps aux | grep chrome
root      6592  0.0  0.0      0     0 pts/26   Z    10:27   0:00 [chrome-sandbox] <defunct>
mkuo      7179  0.2  0.1 250788 15304 pts/26   S    10:44   0:00 /opt/google/chrome/chrome --disable-bundled-ppapi-flash
mkuo      7183  0.0  0.0 251120  5584 pts/26   S    10:44   0:00 /opt/google/chrome/chrome --disable-bundled-ppapi-flash
root      7184  0.0  0.0      0     0 pts/26   Z    10:44   0:00 [chrome-sandbox] <defunct>
mkuo      7185  0.1  0.0   6220   284 pts/26   S    10:44   0:00 /opt/google/chrome/chrome-sandbox /opt/google/chrome/chrome --type=zygote --disable-bundled-ppapi-flash
mkuo      7186  0.1  0.1 272872 17080 pts/26   S    10:44   0:00 /opt/google/chrome/chrome --type=zygote --disable-bundled-ppapi-flash
mkuo      7189  0.0  0.0 129380  3988 pts/26   S    10:44   0:00 /opt/google/chrome/nacl_helper_bootstrap /opt/google/chrome/nacl_helper --at-zero --r_debug=0x0000000000213000
root      7190  0.0  0.0   6252   344 pts/26   D    10:44   0:00 /opt/google/chrome/chrome-sandbox --find-inode 26983556


Comment 37 by Deleted ...@, Jul 2 2012
Weird that after I rebooted I can start google-chrome without problem (without any options). The last time I rebooted my computer was 23 days ago, and during this time the kernel has been upgraded (but not yet rebooted to use the new one) so maybe there is something to do with it.
Same problem on Fedora 14 32bit, with "--disable-bundled-ppapi-flash" chrome starts, but without flash

cat /proc/cpuinfo
processor	: 0
vendor_id	: AuthenticAMD
cpu family	: 6
model		: 8
model name	: AMD Athlon(tm) XP 2600+
stepping	: 1
cpu MHz		: 2138.565
cache size	: 256 KB
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 1
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 mmx fxsr sse syscall mmxext 3dnowext 3dnow up
bogomips	: 4277.13
clflush size	: 32
cache_alignment	: 32
address sizes	: 34 bits physical, 32 bits virtual
power management: ts
Fedora 17, Intel CPU works fine here.
Owner: viettrungluu@chromium.org
Status: Assigned
Blocking: chromium:135282
Status: Started
same probelm with ubuntu 11.10 oneiric ocelot, flash won't work in chromium, chrome or even firefox:

processor	: 0
vendor_id	: AuthenticAMD
cpu family	: 6
model		: 8
model name	: AMD Athlon(tm) XP 2000+
stepping	: 1
cpu MHz		: 1659.652
cache size	: 256 KB
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 1
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 mtrr pge mca cmov pat pse36 mmx fxsr sse syscall mmxext 3dnowext 3dnow up
bogomips	: 3319.30
clflush size	: 32
cache_alignment	: 32
address sizes	: 34 bits physical, 32 bits virtual
power management: ts

Labels: feature-Flash
Comment 45 by Deleted ...@, Jul 3 2012
disable-flash workaround worked for me. Any way to downgrade to previous version of Chrome?
processor	: 0
vendor_id	: AuthenticAMD
cpu family	: 6
model		: 8
model name	: AMD Athlon(tm) XP 2000+
stepping	: 1
cpu MHz		: 1662.500
cache size	: 256 KB
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 1
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 mmx fxsr sse syscall mmxext 3dnowext 3dnow up
bogomips	: 3328.38
clflush size	: 32
cache_alignment	: 32
address sizes	: 34 bits physical, 32 bits virtual
power management: ts

Comment 46 by Deleted ...@, Jul 4 2012
Ubuntu 10.04.4 LTS with linux 2.6.32-41-generic
Works with "google-chrome --disable-bundled-ppapi-flash" on 20.0.1132.47-r144678

Adobe Flash Player (libflashplayer.so) version 11.2 does not work (including archived versions). Even in Firefox, I just get a gray box.
Versions "10.3 r183" and "11.1 r102" work fine in all browsers.

google-chrome 19.0.1084.56-r140965 with included Flash Player "11.2 r202" (libgcflashplayer.so) also works in 19.0, but does not load in version 20.0

ASUS CUV4X-D with 1 GB ECC RAM
NVIDIA GeForce4 MX 440
NVIDIA Driver 96.43.17

processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 8
model name	: Pentium III (Coppermine)
stepping	: 10
cpu MHz		: 870.714
cache size	: 256 KB
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 2
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pse36 mmx fxsr sse
bogomips	: 1741.42
clflush size	: 32
cache_alignment	: 32
address sizes	: 36 bits physical, 32 bits virtual
power management:

processor	: 1
vendor_id	: GenuineIntel
cpu family	: 6
model		: 8
model name	: Pentium III (Coppermine)
stepping	: 10
cpu MHz		: 870.714
cache size	: 256 KB
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 2
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pse36 mmx fxsr sse
bogomips	: 1741.28
clflush size	: 32
cache_alignment	: 32
address sizes	: 36 bits physical, 32 bits virtual
power management:

Computer is 12 years old. It may just be time to retire it ;-(
"Computer is 12 years old. It may just be time to retire it ;-("

Yeah, like 5 years ago.
Comment 48 by Deleted ...@, Jul 5 2012
Why should he retire it, if in a few time flash will be dismissed?
Comment 49 by Deleted ...@, Jul 5 2012
Version 20.0.1132.47, Linux Mint Debian Edition (LMDE amd64), had to disable pepper flash in chrome//:plugins, and enable old outdated adobe flash. no matter where, I was unable to watch movies. It was very very bad on justin.tv but also on youtube.

due to the old flash version I have to manually allow each time I use it. I hate it!!!

Proz: Intel Q6600
Comment 50 by Deleted ...@, Jul 7 2012
Same as everyone here...

cat /proc/cpuinfo
processor	: 0
vendor_id	: AuthenticAMD
cpu family	: 6
model		: 10
model name	: AMD Athlon(tm) XP 2600+
stepping	: 0
cpu MHz		: 1909.125
cache size	: 512 KB
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 1
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 mmx fxsr sse syscall mmxext 3dnowext 3dnow up
bogomips	: 3818.25
clflush size	: 32
cache_alignment	: 32
address sizes	: 34 bits physical, 32 bits virtual
power management: ts

I just updated my system. Isn't there any way to go back one version ?
Comment 51 by Deleted ...@, Jul 7 2012
I have AMD Sempron 2800+,use Ubuntu, please need support chrome, no cant flash page
Hi everyone,

+1 (me too)

Google Chrome version 20.0.1132.47 refuses to start on my system unless I use the "--disable-bundled-ppapi-flash" flag.

That means no more Flash player at ALL on my system, as Google Chrome was the only working solution I had to play Flash. Isn't there any way to downgrade to fix this regression?

processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 11
model name	: Intel(R) Pentium(R) III CPU - S         1400MHz
stepping	: 4
cpu MHz		: 1400.060
cache size	: 512 KB
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 2
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 mtrr pge mca cmov pse36 mmx fxsr sse up
bogomips	: 2800.12
clflush size	: 32
cache_alignment	: 32
address sizes	: 36 bits physical, 32 bits virtual
power management:

Lubuntu 12.04 LTS distro

Linux version 3.2.0-26-generic (buildd@lamiak) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #41-Ubuntu SMP Thu Jun 14 16:26:01 UTC 2012

768MB RAM

Best regards,

Olivier from Le Pecq, France

Same as everyone here
Ubuntu, Debian, Mint etc. based folks, Chrome 19

http://www.sixtoed-design.com/downloads/google-chrome19-stable_current_i386.deb

THANK YOU mtthwl...@gmail.com (comment 54)!

THANKS!!!!!!!!
Project Member Comment 57 by bugdroid1@chromium.org, Jul 7 2012
The following revision refers to this bug:
    http://src.chromium.org/viewvc/chrome?view=rev&revision=145632

------------------------------------------------------------------------
r145632 | viettrungluu@chromium.org | Sat Jul 07 15:13:55 PDT 2012

Changed paths:
 M http://src.chromium.org/viewvc/chrome/trunk/src/chrome/common/chrome_content_client.cc?r1=145632&r2=145631&pathrev=145632

Disable bundled PPAPI Flash on Linux ia32 when SSE2 is not available.

BUG= 134940 
TEST=chrome starts on old systems running Linux


Review URL: https://chromiumcodereview.appspot.com/10689076
------------------------------------------------------------------------
Comment 58 by sjt...@gmail.com, Jul 7 2012
While this problem is being worked out, does anyone know where I can find chrome 18 or 19 for FC14 so I can revert?
Comment 60 by Deleted ...@, Jul 8 2012
For those who do not want to do the full revert to a previous version.

On kubuntu 12.04 I just extracted the 19 version deb file (linked to in comment 54) then copied 'libgcflashplayer.so' over to '/opt/google/chrome/'. I still run with ppapi flash disabled to avoid issues and flash is working fine.
Comment 61 by sjt...@gmail.com, Jul 8 2012
Thank you for that link in Comment 59 - I'm now back up and running where I was before the whole version 20 debacle began!
Project Member Comment 62 by bugdroid1@chromium.org, Jul 8 2012
The following revision refers to this bug:
    http://src.chromium.org/viewvc/chrome?view=rev&revision=145639

------------------------------------------------------------------------
r145639 | viettrungluu@chromium.org | Sun Jul 08 08:20:03 PDT 2012

Changed paths:
 M http://src.chromium.org/viewvc/chrome/trunk/src/chrome/common/chrome_content_client.cc?r1=145639&r2=145638&pathrev=145639

Fix r145632.

Oops, I forgot to upload the corrected patch.

BUG= 134940 
TBR=brettw
Review URL: https://chromiumcodereview.appspot.com/10695118
------------------------------------------------------------------------

THANK YOU VERY MUCH philswyett!!! (comment 60)

Your solution works great on my Lubuntu 12.04 system, and it indeed allows me to play Flash on the very latest Chrome version (after disabling PepperFlash)!!!

I hope the dev team will keep the working libgcflashplayer.so from Chrome 19 in the next versions of Chrome.

Olivier

Comment 64 by sun...@gmail.com, Jul 9 2012
viettrungluu,
Thank you for your trouble.
When will be this changes applied to a stable release?
or
Could you give us the non-official binary patch?
It would be a something like pre-release test.
^^
Cc: kareng@google.com dharani@chromium.org
Labels: -feature-Flash Feature-Flash Mstone-21 Merge-Requested
@dharani: Could I merge this (r145632 and r145639) to M20? It's low-risk, and the only verification that should be needed is that Pepper Flash still loads on modern Linux systems (32- and 64-bit).

@kareng: Ditto for M21.
Labels: -Merge-Requested Merge-Approved
Approved for M20.
Project Member Comment 67 by bugdroid1@chromium.org, Jul 9 2012
Labels: merge-merged-1132
The following revision refers to this bug:
    http://src.chromium.org/viewvc/chrome?view=rev&revision=145693

------------------------------------------------------------------------
r145693 | viettrungluu@chromium.org | Mon Jul 09 10:53:06 PDT 2012

Changed paths:
 M http://src.chromium.org/viewvc/chrome/branches/1132/src/chrome/common/chrome_content_client.cc?r1=145693&r2=145692&pathrev=145693

Merge 145632 to M20 - Disable bundled PPAPI Flash on Linux ia32 when SSE2 is not available.

BUG= 134940 
TEST=chrome starts on old systems running Linux


Review URL: https://chromiumcodereview.appspot.com/10689076

TBR=viettrungluu@chromium.org
Review URL: https://chromiumcodereview.appspot.com/10756005
------------------------------------------------------------------------
Project Member Comment 68 by bugdroid1@chromium.org, Jul 9 2012
The following revision refers to this bug:
    http://src.chromium.org/viewvc/chrome?view=rev&revision=145694

------------------------------------------------------------------------
r145694 | viettrungluu@chromium.org | Mon Jul 09 10:53:44 PDT 2012

Changed paths:
 M http://src.chromium.org/viewvc/chrome/branches/1132/src/chrome/common/chrome_content_client.cc?r1=145694&r2=145693&pathrev=145694

Merge 145639 to M20 - Fix r145632.

Oops, I forgot to upload the corrected patch.

BUG= 134940 
TBR=brettw
Review URL: https://chromiumcodereview.appspot.com/10695118

TBR=viettrungluu@chromium.org
Review URL: https://chromiumcodereview.appspot.com/10748003
------------------------------------------------------------------------
 Issue 135392  has been merged into this issue.
 Issue 135389  has been merged into this issue.
Project Member Comment 71 by bugdroid1@chromium.org, Jul 10 2012
Labels: merge-merged-1180
The following revision refers to this bug:
    http://src.chromium.org/viewvc/chrome?view=rev&revision=145904

------------------------------------------------------------------------
r145904 | chrome-bot@google.com | Tue Jul 10 10:45:02 PDT 2012

Changed paths:
 M http://src.chromium.org/viewvc/chrome/branches/1180/src/chrome/common/chrome_content_client.cc?r1=145904&r2=145903&pathrev=145904

Merge 145632 to M21 - Disable bundled PPAPI Flash on Linux ia32 when SSE2 is not available.

BUG= 134940 
TEST=chrome starts on old systems running Linux


Review URL: https://chromiumcodereview.appspot.com/10689076

TBR=viettrungluu@chromium.org
Review URL: https://chromiumcodereview.appspot.com/10693129
------------------------------------------------------------------------
Project Member Comment 72 by bugdroid1@chromium.org, Jul 10 2012
The following revision refers to this bug:
    http://src.chromium.org/viewvc/chrome?view=rev&revision=145905

------------------------------------------------------------------------
r145905 | viettrungluu@chromium.org | Tue Jul 10 10:43:32 PDT 2012

Changed paths:
 M http://src.chromium.org/viewvc/chrome/branches/1180/src/chrome/common/chrome_content_client.cc?r1=145905&r2=145904&pathrev=145905

Merge 145639 to M21 - Fix r145632.

Oops, I forgot to upload the corrected patch.

BUG= 134940 
TBR=brettw
Review URL: https://chromiumcodereview.appspot.com/10695118

TBR=viettrungluu@chromium.org
Review URL: https://chromiumcodereview.appspot.com/10704133
------------------------------------------------------------------------
Comment 73 by kareng@google.com, Jul 10 2012
Labels: -Merge-Approved Merge-Merged
Status: Fixed
Comment 75 by dumon...@gmail.com, Jul 12 2012
Thanks so much.  Everything is back to normal.
Comment 76 by Deleted ...@, Jul 12 2012
first sorry my english first this my solution
1- go to the http://get.adobe.com/tr/flashplayer/otherversions/
select ur version and download rpm files i download this one "http://get.adobe.com/tr/flashplayer/completion/?installer=Flash_Player_11.2_for_other_Linux_(.rpm)_64-bit"
2-open with archive manager and goto /./usr/lib64/flash-plugin/ and extract libflashplayer.so and rename "libgcflashplayer.so"
3-then open terminal sudo nautius first then goto the '/opt/google/chrome/' and copy renamed libgcflashplayer.so
4-if not work goto the "chrome://plugins/" than advanced settings and if active flash version 11.3.31.115
disable it
5-done this is work 12.04 ubuntu cheers
Comment 77 by awb7...@gmail.com, Jul 17 2012
It seems that most of these issues are being generated by SSE2 unsupported cpus.
Intel Pentium III Coppermine
Intel Pentium III Tualatin
Intel Celeron Mendocino
Intel Celeron Coppermine-128
Intel Celeron Tualatin-256
Intel Pentium M
AMD Athlon XP
Does Chrome have any intentions of fixing this and will we be informed of when it will be available so people with these cpu's don't aren't forced to use unsecure old versions of flash?
In reality these are two different issues. This thread was started because Google Chrome 20 would crash upon startup for some people. It turned out to be a Linux only, Flash plugin issue. So in order to solve the crashing issue, the Flash plugin had to be disabled. This bug was reported here: http://code.google.com/p/chromium/issues/detail?id=134940 and is marked as "fixed".

The broken Flash plugin for pre-SSE2 processors is a separate bug. That has been reported here http://code.google.com/p/chromium/issues/detail?id=134940 and is marked as "unconfirmed". The last comment from thestig does not sound hopeful that a solution is a priority.
Project Member Comment 79 by bugdroid1@chromium.org, Oct 14 2012
Labels: Restrict-AddIssueComment-Commit
This issue has been closed for some time. No one will pay attention to new comments.
If you are seeing this bug or have new data, please click New Issue to start a new bug.
Project Member Comment 80 by bugdroid1@chromium.org, Mar 10 2013
Labels: -Area-Internals -Mstone-20 -Feature-Flash -Mstone-21 M-21 M-20 Cr-Content-Plugins-Flash Cr-Internals
Project Member Comment 81 by bugdroid1@chromium.org, Mar 14 2013
Labels: -Restrict-AddIssueComment-Commit Restrict-AddIssueComment-EditIssue
Project Member Comment 82 by bugdroid1@chromium.org, Apr 6 2013
Labels: Cr-Blink
Project Member Comment 83 by bugdroid1@chromium.org, Apr 6 2013
Labels: -Cr-Content-Plugins-Flash Cr-Internals-Plugins-Flash
Sign in to add a comment